Ask Your Question
0

PE PuppetDB ERROR: Port 8080 appears to be in use

asked 2013-11-20 10:14:17 -0500

mativillagra gravatar image

Hello Team,

Installing Puppet enterprise using an answer pre loaded file, were I type qpuppetdbport=8081 , running the installer it quote "ERROR: Port 8080 appears to be in use. This port is required for PuppetDB. Please either move the services for this port to another or install on a system with this port available."

I have tomcat running on that port 8080.

Can someone help me out. Thanks.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2013-11-20 13:02:36 -0500

mativillagra gravatar image

Solution, I change tomcat running on port 8080,

I found on the puppet install script this lines

#Verify that ports 8080 and 8081 are available if this isn't answer-save mode. for port in 8080 8081; do if ( ! issaveanswers ) && [ 'y' = "${qpuppetdbinstall?}" ] && (! isupgrade ) && tcpportinuse localhost $port ; then displaynewline displayfailure "Port $port appears to be in use. This port is required for PuppetDB. Please either move the services for this port to another or install on a system with this port available." fi done

Thanks.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-11-20 10:14:17 -0500

Seen: 416 times

Last updated: Nov 20 '13